<Gdam-Binding-Interface>

  <!-->  Function keys toggle various settings and perform functions </!-->

  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:F5:seq1:gdam_skin_do_toggle:do_record_local_play</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:F7:seq1:gdam_skin_do_toggle:auto_overwrite</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:F8:seq1:gdam_sequencer_select_matching_pattern</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:control-F8:seq1:gdam_sequencer_clear_elements</handler>
  </signal>

  <!-->  'delete' and 'backspace' should also delete (are we sure??) </!-->

  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:BackSpace:seq1:gdam_sequencer_clear_elements</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:Delete:seq1:gdam_sequencer_clear_elements</handler>
  </signal>

  <!-->  A press on top row of the keyboard plays by local id </!-->

  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:`:seq1:gdam_skin_arg_int:sequencer_play_by_local_id:0</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:1:seq1:gdam_skin_arg_int:sequencer_play_by_local_id:1</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:2:seq1:gdam_skin_arg_int:sequencer_play_by_local_id:2</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:3:seq1:gdam_skin_arg_int:sequencer_play_by_local_id:3</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:4:seq1:gdam_skin_arg_int:sequencer_play_by_local_id:4</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:5:seq1:gdam_skin_arg_int:sequencer_play_by_local_id:5</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:6:seq1:gdam_skin_arg_int:sequencer_play_by_local_id:6</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:7:seq1:gdam_skin_arg_int:sequencer_play_by_local_id:7</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:8:seq1:gdam_skin_arg_int:sequencer_play_by_local_id:8</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:9:seq1:gdam_skin_arg_int:sequencer_play_by_local_id:9</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:0:seq1:gdam_skin_arg_int:sequencer_play_by_local_id:10</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:-:seq1:gdam_skin_arg_int:sequencer_play_by_local_id:11</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:=:seq1:gdam_skin_arg_int:sequencer_play_by_local_id:12</handler>
  </signal>

  <!-->  The top row of the keyboard release -> stop by local id </!-->

  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_release:`:seq1:gdam_skin_arg_int:sequencer_stop_by_local_id:0</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_release:1:seq1:gdam_skin_arg_int:sequencer_stop_by_local_id:1</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_release:2:seq1:gdam_skin_arg_int:sequencer_stop_by_local_id:2</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_release:3:seq1:gdam_skin_arg_int:sequencer_stop_by_local_id:3</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_release:4:seq1:gdam_skin_arg_int:sequencer_stop_by_local_id:4</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_release:5:seq1:gdam_skin_arg_int:sequencer_stop_by_local_id:5</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_release:6:seq1:gdam_skin_arg_int:sequencer_stop_by_local_id:6</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_release:7:seq1:gdam_skin_arg_int:sequencer_stop_by_local_id:7</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_release:8:seq1:gdam_skin_arg_int:sequencer_stop_by_local_id:8</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_release:9:seq1:gdam_skin_arg_int:sequencer_stop_by_local_id:9</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_release:0:seq1:gdam_skin_arg_int:sequencer_stop_by_local_id:10</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_release:-:seq1:gdam_skin_arg_int:sequencer_stop_by_local_id:11</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_release:=:seq1:gdam_skin_arg_int:sequencer_stop_by_local_id:12</handler>
  </signal>




  <!-->  The first row + shift default local id) </!-->

  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:~:seq1:gdam_skin_arg_int:default_playback_local_id:0</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:!:seq1:gdam_skin_arg_int:default_playback_local_id:1</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:@:seq1:gdam_skin_arg_int:default_playback_local_id:2</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:#:seq1:gdam_skin_arg_int:default_playback_local_id:3</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:$:seq1:gdam_skin_arg_int:default_playback_local_id:4</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:%:seq1:gdam_skin_arg_int:default_playback_local_id:5</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:^:seq1:gdam_skin_arg_int:default_playback_local_id:6</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:&amp;:seq1:gdam_skin_arg_int:default_playback_local_id:7</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:*:seq1:gdam_skin_arg_int:default_playback_local_id:8</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:(:seq1:gdam_skin_arg_int:default_playback_local_id:9</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:):seq1:gdam_skin_arg_int:default_playback_local_id:10</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:_:seq1:gdam_skin_arg_int:default_playback_local_id:11</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:+:seq1:gdam_skin_arg_int:default_playback_local_id:12</handler>
  </signal>

  <!-->  The second row plays current id at different pitches </!-->

  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:Tab:seq1:gdam_skin_arg_int:sequencer_play_default_buffer_by_note_idx:50</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:q:seq1:gdam_skin_arg_int:sequencer_play_default_buffer_by_note_idx:51</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:w:seq1:gdam_skin_arg_int:sequencer_play_default_buffer_by_note_idx:52</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:e:seq1:gdam_skin_arg_int:sequencer_play_default_buffer_by_note_idx:53</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:r:seq1:gdam_skin_arg_int:sequencer_play_default_buffer_by_note_idx:54</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:t:seq1:gdam_skin_arg_int:sequencer_play_default_buffer_by_note_idx:55</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:y:seq1:gdam_skin_arg_int:sequencer_play_default_buffer_by_note_idx:56</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:u:seq1:gdam_skin_arg_int:sequencer_play_default_buffer_by_note_idx:57</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:i:seq1:gdam_skin_arg_int:sequencer_play_default_buffer_by_note_idx:58</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:o:seq1:gdam_skin_arg_int:sequencer_play_default_buffer_by_note_idx:59</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:p:seq1:gdam_skin_arg_int:sequencer_play_default_buffer_by_note_idx:60</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:[:seq1:gdam_skin_arg_int:sequencer_play_default_buffer_by_note_idx:61</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:]:seq1:gdam_skin_arg_int:sequencer_play_default_buffer_by_note_idx:62</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:\:seq1:gdam_skin_arg_int:sequencer_play_default_buffer_by_note_idx:63</handler>
  </signal>


  <!-->  The second row release stops current id at various pitches </!-->

  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_release:Tab:seq1:gdam_skin_arg_int:sequencer_stop_default_buffer_by_note_idx:50</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_release:q:seq1:gdam_skin_arg_int:sequencer_stop_default_buffer_by_note_idx:51</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_release:w:seq1:gdam_skin_arg_int:sequencer_stop_default_buffer_by_note_idx:52</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_release:e:seq1:gdam_skin_arg_int:sequencer_stop_default_buffer_by_note_idx:53</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_release:r:seq1:gdam_skin_arg_int:sequencer_stop_default_buffer_by_note_idx:54</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_release:t:seq1:gdam_skin_arg_int:sequencer_stop_default_buffer_by_note_idx:55</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_release:y:seq1:gdam_skin_arg_int:sequencer_stop_default_buffer_by_note_idx:56</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_release:u:seq1:gdam_skin_arg_int:sequencer_stop_default_buffer_by_note_idx:57</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_release:i:seq1:gdam_skin_arg_int:sequencer_stop_default_buffer_by_note_idx:58</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_release:o:seq1:gdam_skin_arg_int:sequencer_stop_default_buffer_by_note_idx:59</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_release:p:seq1:gdam_skin_arg_int:sequencer_stop_default_buffer_by_note_idx:60</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_release:[:seq1:gdam_skin_arg_int:sequencer_stop_default_buffer_by_note_idx:61</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_release:]:seq1:gdam_skin_arg_int:sequencer_stop_default_buffer_by_note_idx:62</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_release:\:seq1:gdam_skin_arg_int:sequencer_stop_default_buffer_by_note_idx:63</handler>
  </signal>


  <!-->  The third row toggles different patterns </!-->

  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:a:seq1:gdam_skin_arg_int:toggle_pattern:0</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:s:seq1:gdam_skin_arg_int:toggle_pattern:1</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:d:seq1:gdam_skin_arg_int:toggle_pattern:2</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:f:seq1:gdam_skin_arg_int:toggle_pattern:3</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:g:seq1:gdam_skin_arg_int:toggle_pattern:4</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:h:seq1:gdam_skin_arg_int:toggle_pattern:5</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:j:seq1:gdam_skin_arg_int:toggle_pattern:6</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:k:seq1:gdam_skin_arg_int:toggle_pattern:7</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:l:seq1:gdam_skin_arg_int:toggle_pattern:8</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:;:seq1:gdam_skin_arg_int:toggle_pattern:9</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:':seq1:gdam_skin_arg_int:toggle_pattern:10</handler>
  </signal>

  <!-->  The third row + shift sets current pattern?? </!-->

  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:A:seq1:gdam_skin_arg_int:pattern:0</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:S:seq1:gdam_skin_arg_int:pattern:1</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:D:seq1:gdam_skin_arg_int:pattern:2</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:F:seq1:gdam_skin_arg_int:pattern:3</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:G:seq1:gdam_skin_arg_int:pattern:4</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:H:seq1:gdam_skin_arg_int:pattern:5</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:J:seq1:gdam_skin_arg_int:pattern:6</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:K:seq1:gdam_skin_arg_int:pattern:7</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:L:seq1:gdam_skin_arg_int:pattern:8</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:colon:seq1:gdam_skin_arg_int:pattern:9</handler>
  </signal>
  <signal type="GdamPacker">
	<signal>whatever</signal>
	<handler>gdam_packer_trap_key_press:":seq1:gdam_skin_arg_int:pattern:10</handler>
  </signal>


  <!-->  fourth row?? </!-->

</Gdam-Binding-Interface>
